@import "@/styles/variables";

.footer {
    grid-column: 1 / -1;
    display: grid;
    justify-items: center;
    row-gap: 1.5rem;
    padding: 2.5rem $padding-sm;
    background: linear-gradient(225deg, rgb(248 248 248) -100%, rgb(255 255 255));
    height: fit-content;
    align-self: flex-end;

    @include notebook {
        padding: 4rem 0 8rem;
        grid-template-columns: repeat(12, 1fr);
        gap: 3rem;
    }

    &-homepage {
        padding: 15rem $padding-sm 2.5rem;

        @include notebook {
            padding: 4rem 0 8rem;
        }
    }

    a {
        text-decoration: none;
        color: $secondary-color;
        display: flex;
        gap: 0.5rem;
    }

    .container {
        grid-column: 1 / -1;
        display: grid;
        row-gap: 1.5rem;
        justify-items: left;
        width: 100%;

        @include notebook {
            max-width: $max-inner-width;
            grid-column: 2 / 12;
            grid-template-columns: repeat(10, 1fr);
            row-gap: 3rem;
        }
    }

    .top-line {
        display: none;

        @include notebook {
            display: block;
        }
    }

    .bottom-line {
        display: block;
        margin: 0;

        @include notebook {
            display: none;
        }
    }

    .conditions {
        @include col;

        grid-column: 1 / -1;
        gap: 1rem;
        align-items: flex-start;

        @include paragraph;

        @include notebook {
            grid-column: 9 / -1;
            width: 100%;
            display: flex;
            flex-wrap: wrap;
            gap: 1rem;
        }

        @include desktop {
            @include paragraph-lg;

            white-space: nowrap;
        }

        a {
            align-items: center;
        }
    }

    .logo-container {
        display: flex;
        justify-self: flex-start;

        @include notebook {
            justify-self: flex-start;
            grid-column: 1 / 7;
            grid-row: 1 / 2;
        }
    }
}
